Package com.xebialabs.xlrelease.events

# Class FolderVariableUpdateOperation$

java.lang.Object
scala.runtime.AbstractFunction3<Variable,Variable,String,FolderVariableUpdateOperation>
com.xebialabs.xlrelease.events.FolderVariableUpdateOperation$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<Variable,Variable,String,FolderVariableUpdateOperation>`

public class FolderVariableUpdateOperation$ extends scala.runtime.AbstractFunction3<Variable,Variable,String,FolderVariableUpdateOperation> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FolderVariableUpdateOperation$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderVariableUpdateOperation$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FolderVariableUpdateOperation`
  `apply(Variable original, Variable updated, String taskId)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<Variable,Variable,String>>`
  `unapply(FolderVariableUpdateOperation x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final FolderVariableUpdateOperation$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### FolderVariableUpdateOperation$

    public FolderVariableUpdateOperation$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<Variable,Variable,String,FolderVariableUpdateOperation>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<Variable,Variable,String,FolderVariableUpdateOperation>`

  - ### apply

    public FolderVariableUpdateOperation apply(Variable original, Variable updated, String taskId)
    Specified by:
      `apply` in interface `scala.Function3<Variable,Variable,String,FolderVariableUpdateOperation>`

  - ### unapply

    public scala.Option<scala.Tuple3<Variable,Variable,String>> unapply(FolderVariableUpdateOperation x$0)